use strict;
use ExtUtils::MakeMaker;
use MDK::Common qw(cat_);

(my $urpmdiff_version) = cat_('urpmdiff.spec') =~ /define\s+version\s+(\d+\.\d+)/
    or die "no version found\n";

sub MY::postamble {
    <<MAKERPM;
.PHONY: ChangeLog rpm

ChangeLog:
	cvs2cl -W 400 -I ChangeLog --accum -U ../common/username
	rm -f *.bak

rpm: dist
	rpm --define "_sourcedir `pwd`" -ba --clean --rmsource urpmdiff.spec
MAKERPM
}

WriteMakefile(
    NAME		=> "urpmdiff",
    VERSION		=> $urpmdiff_version,
    EXE_FILES		=> [ "bin/urpmdiff" ],
    PREREQ_PM		=> {
	'Algorithm::Diff'	=> 1.15,
	'URPM'			=> 1.11,
    },
    dist		=> { COMPRESS => 'bzip2', SUFFIX => '.bz2' },
);
